package com.hchyun.test.service;

import java.util.List;

import com.hchyun.common.utils.ServerResult;
import com.hchyun.test.entity.TestTree;

/**
 * 树测试Service接口
 *
 * @author hchyun
 * @date 2021-01-23
 */
public interface TestTreeService {
    /**
     * 查询树测试
     *
     * @param id 树测试ID
     * @return 树测试
     */
    ServerResult<TestTree> selectTestTreeById(Long id);

    /**
     * 查询树测试列表
     *
     * @param testTree 树测试
     * @return 树测试集合
     */
    ServerResult<List<TestTree>> selectTestTreeList(TestTree testTree);

    /**
     * 新增树测试
     *
     * @param testTree 树测试
     * @return 结果
     */
    ServerResult<Integer> insertTestTree(TestTree testTree);

    /**
     * 修改树测试
     *
     * @param testTree 树测试
     * @return 结果
     */
    ServerResult<Integer> updateTestTree(TestTree testTree);

    /**
     * 批量删除树测试
     *
     * @param ids 需要删除的树测试ID
     * @return 结果
     */
    ServerResult<Integer> deleteTestTreeByIds(Long[] ids);

    /**
     * 删除树测试信息
     *
     * @param id 树测试ID
     * @return 结果
     */
    ServerResult<Integer> deleteTestTreeById(Long id);
}
